import java.util.ArrayList;

public class Hovedprogram {
    public static void main(String[] args) {



        // Bruk av grensesnitt som kan finnes i en subklasse
        ArrayList<Form> l = new ArrayList<>();

        l.add(new Rektangel("rød", 5, 10));
        l.add(new Sirkel("blå", 5));

        int sum = 0;
        for (Form el : l) {
            if (el instanceof ArealInterface) {
                sum += ((ArealInterface) el).areal();

            }
        }
        System.out.println(sum);


        
        // Oppbevaring av to forskjellige klasser i samme liste
        ArrayList<Storable> oppbehvaring = new ArrayList<>();

        oppbehvaring.add(new Ting1());
        oppbehvaring.add(new Ting2());
        oppbehvaring.add(new Kube("rød", 10));

        for (Storable s : oppbehvaring) {
            System.out.println(s.størrelse());
            if (s instanceof Ting1) {
                ((Ting1) s).skriv();
            }
        }


    }
}
