import java.io.File;
import java.util.Scanner;

public class Rektangel extends Form implements ArealInterface {

    public int lengde;
    public int bredde;

    public Rektangel(String farge, int l, int b) {
        super(farge);

        lengde = l;
        bredde = b;

    }


    // Overloading
    public void setDimensjoner(int lengde, int bredde) {
        this.lengde = lengde;
        this.bredde = bredde;
    }


    public void setDimensjoner(int lengde) {
        this.lengde = lengde;
    }




    // @Override
    // public String hentFormelAreal(){
    //     return "lengde*bredde";
    // }

    @Override
    public int areal() {
        return lengde*bredde;
    }

    @Override
    public int omkrets() {
        return (lengde*2) + (bredde*2);
    }
    
    @Override
    public void skrivType() {
        System.out.println("Rektangel");
    }


    @Override
    public String toString() {
        return "Rektangel : "+hentFarge()+" : "+lengde+", "+bredde;
    }



    @Override
    public boolean equals(Object other) {
        if (other instanceof Rektangel) {
            if (((Rektangel) other).hentFarge() == hentFarge()) {
                if (((Rektangel) other).bredde == bredde && ((Rektangel) other).lengde == lengde){
                    return true;
                }
            }
        }
        return false;
    }


    

}
